gRPC C#
gRPC C#
Namespaces
Grpc.Core
ContextPropagationToken Class
ContextPropagationToken Methods

ContextPropagationToken Class

Token for propagating context of server side handlers to child calls. In situations when a backend is making calls to another backend, it makes sense to propagate properties like deadline and cancellation token of the server call to the child call. The gRPC native layer provides some other contexts (like tracing context) that are not accessible to explicitly C# layer, but this token still allows propagating them.
Inheritance Hierarchy
System
Object
Grpc.Core
ContextPropagationToken

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class ContextPropagationToken

    Public Class ContextPropagationToken

    public ref class ContextPropagationToken

    type ContextPropagationToken =  class end

The ContextPropagationToken type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace